import { StiHttpClientService } from "./http-client.service";
import { StiModelService } from "./model.service";
import { StiUsedFontsList, UsedFont } from "./objects";
export declare class StiFontService {
    model: StiModelService;
    httpService: StiHttpClientService;
    checkedFonts: StiUsedFontsList;
    constructor(model: StiModelService, httpService: StiHttpClientService);
    loadFont(fonts: UsedFont[]): void;
    checkFonts(): void;
    updateFonts(font: any): void;
}
